author | blanchet |
Sun, 01 Aug 2010 16:35:25 +0200 | |
changeset 38127 | 9f9f696fc4e8 |
parent 29143 | 72c960b2b83e |
child 38253 | 3d4e521014f7 |
permissions | -rwxr-xr-x |
#!/usr/bin/env bash # # Author: Makarius # # DESCRIPTION: create named pipe PRG="$(basename "$0")" function usage() { echo echo "Usage: isabelle $PRG" echo echo " Create a temporary named pipe and return its name." echo exit 1 } function fail() { echo "$1" >&2 exit 2 } ## main [ "$#" != 0 ] && usage FIFO="/tmp/isabelle-fifo$$" mkfifo -m 600 "$FIFO" || fail "Failed to create named pipe $FIFO" echo "$FIFO"